FROM alpine
RUN apk update
RUN apk add git bash python3 py3-numpy
#RUN pip install numpy
RUN git clone https://github.com/novnc/noVNC.git /novnc
RUN mkdir /web
RUN cp -R /novnc /web
RUN git clone https://github.com/novnc/websockify.git /novnc/utils/websockify
WORKDIR /novnc
EXPOSE 6080
ENTRYPOINT /novnc/utils/novnc_proxy --web /web --vnc 192.168.7.81:5900
